From 1a86235aa22462670a8f2d514b641c6ce9cb82b8 Mon Sep 17 00:00:00 2001
From: Jorge <jorgenatzdev@gmail.com>
Date: Sat, 6 Jul 2019 19:38:52 -0600
Subject: [PATCH] flowblade: fix launch process

Fix module path-checking to ensure that flowblade launches.
---
 .../flowblade/patches/00-add-bin-directories.patch    | 11 +++++++++++
 srcpkgs/flowblade/template                            |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/flowblade/patches/00-add-bin-directories.patch

diff --git a/srcpkgs/flowblade/patches/00-add-bin-directories.patch b/srcpkgs/flowblade/patches/00-add-bin-directories.patch
new file mode 100644
index 00000000000..b73fe73df61
--- /dev/null
+++ b/srcpkgs/flowblade/patches/00-add-bin-directories.patch
@@ -0,0 +1,11 @@
+--- flowblade-trunk/flowblade	2019-02-04 02:29:07.000000000 -0700
++++ flowblade-trunk/flowblade	2019-07-06 17:48:47.295155396 -0600
+@@ -34,7 +34,7 @@ print "Launch script dir:", launch_dir
+ 
+ # Update sys.path to include modules
+ # When running on distro
+-if launch_dir == "/usr/bin":
++if launch_dir in {"/usr/bin", "/bin", "/usr/local/bin"}:
+     print "Running from installation..."
+     modules_path = "/usr/share/flowblade/Flowblade"
+     if not os.path.isdir(modules_path):
diff --git a/srcpkgs/flowblade/template b/srcpkgs/flowblade/template
index 814e241ffb0..4e8e509f9f9 100644
--- a/srcpkgs/flowblade/template
+++ b/srcpkgs/flowblade/template
@@ -1,7 +1,7 @@
 # Template file for 'flowblade'
 pkgname=flowblade
 version=2.0
-revision=1
+revision=2
 archs=noarch
 build_wrksrc=flowblade-trunk
 build_style=python2-module
